function init()
{
  var container = document.getElementById('wp_snow');
  for (var i = 0; i < 100; i++)
  {
    container.appendChild(create_snow());
  }
}

function randomInteger(low, high)
{
  return low + Math.floor(Math.random() * (high - low));
}

function randomFloat(low, high)
{
  return low + Math.random() * (high - low);
}

function pixelValue(value)
{
  return value + 'px';
}

function durationValue(value)
{
  return value + 's';
}

function create_snow()
{
  var dropDiv = document.createElement('div');
  var swingDiv = document.createElement('div');
  var image = document.createElement('img');
  var rand_num = randomInteger(1, 6);
  swingDiv.className = "snow" + rand_num;
  image.src = './images/snow.png';
  
  dropDiv.style.top = pixelValue(-40);
  dropDiv.style.left = pixelValue(randomInteger(-20, 620));
  dropDiv.style.opacity = '0';
  
  var DropDuration = durationValue(randomFloat(2, 3)*rand_num);
  var SwingDuration = durationValue(randomFloat(3, 5)*rand_num);
  var DropDelay = durationValue(randomFloat(0, 3)*rand_num);
  
  var userAgent = window.navigator.userAgent.toLowerCase();
	if (userAgent.indexOf("firefox") > -1) {
  	dropDiv.style.MozAnimationName = 'fade, drop';
  	swingDiv.style.MozAnimationName = 'swing';
  	dropDiv.style.MozAnimationDuration = DropDuration + ', ' + DropDuration;
  	dropDiv.style.MozAnimationDelay = DropDelay + ', ' + DropDelay;
  	swingDiv.style.MozAnimationDuration = SwingDuration ;
	}
	else if (userAgent.indexOf("opera") > -1) {
//    alert("Opera");
  	dropDiv.style.OAnimationName = 'fade, drop';
  	swingDiv.style.OAnimationName = 'swing';
  	dropDiv.style.OAnimationDuration = DropDuration + ', ' + DropDuration;
  	dropDiv.style.OAnimationDelay = DropDelay + ', ' + DropDelay;
  	swingDiv.style.OAnimationDuration = SwingDuration ;
	}
	else if (userAgent.indexOf("safari") > -1 || userAgent.indexOf("chrome") > -1 || userAgent.indexOf("webkit") > -1) {
  	dropDiv.style.webkitAnimationName = 'fade, drop';
  	swingDiv.style.webkitAnimationName = 'swing';
  	dropDiv.style.webkitAnimationDuration = DropDuration + ', ' + DropDuration;
  	dropDiv.style.webkitAnimationDelay = DropDelay + ', ' + DropDelay;
  	swingDiv.style.webkitAnimationDuration = SwingDuration ;
	}
	else {
  	dropDiv.style.AnimationName = 'fade, drop';
  	swingDiv.style.AnimationName = 'swing';
  	dropDiv.style.AnimationDuration = DropDuration + ', ' + DropDuration;
  	dropDiv.style.AnimationDelay = DropDelay + ', ' + DropDelay;
  	swingDiv.style.AnimationDuration = SwingDuration ;
	}
  
  
  
  swingDiv.appendChild(image);
  dropDiv.appendChild(swingDiv);
  
  return dropDiv;
}
